<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\ErrorHandler;

use Dedi\SyliusMigrationPlugin\Definition\TableMappingDefinition;
use Exception;

interface ErrorHandlerInterface
{
    public function getType(): string;

    public function can(Exception $exception): bool;

    public function execute(TableMappingDefinition $tableMappingDefinition, array $data): void;

    public function getErrorBubbling(): bool;

    public function setConfiguration(array $configuration): self;

    /** @return array|mixed */
    public function getConfiguration(?string $key = null);

    public function hasConfiguration(string $key): bool;
}
