<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Transformer;

use LogicException;

class TransformToSyliusLocaleCode implements TransformerInterface
{
    public function getType(): string
    {
        return 'transform-to-sylius-locale-code';
    }

    public function execute($data)
    {
        switch ($data) {
            case 'FR':
                return 'fr_FR';
            case 'EN':
            case 'US':
                return 'en_US';
            default:
                throw new LogicException(sprintf('Unsupported locale code %s', $data));
        }
    }
}
